HLIST_FOR_EACH_E(9)

NAME
hlist_for_each_entry_rcu - iterate over rcu list of given type

SYNOPSIS

hlist_for_each_entry_rcu (tpos, pos, head, member);

ARGUMENTS

tpos
    the type * to use as a loop counter.

pos the &struct hlist_node to use as a loop counter.

head
    the head for your list.

member
    the name of the hlist_node within the struct.

DESCRIPTION

This list-traversal primitive may safely run concurrently with the _rcu list-mutation primitives such as hlist_add_head_rcu as long as the traversal is guarded by rcu_read_lock.